<div class="comment-block">
    <h1 class="comments-title">Comments (<span id="comment_count_{{ post.id }}" class="comment_count">{{ post.comments|length }}</span>)</h1>
    {% for comment in post.comments %}
        <div class="be-comment"  id="comment-content-{{ comment.id }}">
            <div class="comment-content">
                    <span class="comment-name">
                        <a href="#">{{ comment.author }}</a>
                        </span>
                    <span class="comment-time">
                        <i class="fa fa-clock-o"></i>
                        {{ comment.createAt ? comment.createAt|date('Y-m-d H:i:s') : '' }}
                    </span>
                <p class="comment-text">
                    <span>
                        <label id="comment_content_text_{{ comment.id }}">{{ comment.content }}</label>
                    </span>
                    {% if app.user.username == comment.author %}
                        <span class="comment-time">
                            <button type="button" class="btn btn-default btn-sm" onclick="editComment('{{ comment.id }}','{{ post.id }}','{{ comment.content }}')">
                                <i class="fa fa-edit"></i>
                            </button>
                            <button type="button" class="btn btn-default btn-sm" onclick="deleteComment('{{ comment.id }}','{{ post.id }}','{{ comment.content }}')">
                                <i class="fa fa-times"></i>
                            </button>
                        </span>
                    {% endif %}
                </p>
            </div>
        </div>
    {% endfor %}
    <form class="form-block" id="comment-form">
        <div class="input-group">
            <textarea class="form-control" aria-label="With textarea" name="comment[content]" id="comment_content" required="required"></textarea>
            <div class="input-group-append">
                <input type="hidden" value="{{ post.id }}" name="comment[post]">
                <input type="hidden" value="{{ app.user.username }}" name="comment[author]">
                <button type="submit" id="add-comment-{{ post.id }}" class="btn btn-primary add-comment">Add Comment</button>
            </div>
        </div>
    </form>
</div>